%define name	phpLDAPAdmin
%define rname	phpldapadmin
%define version	0.9.1
%define release	2mdk
%define webadminroot /var/www/html/admin

Summary:	phpLDAPAdmin is a web-based LDAP administration tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{rname}-%{version}.tar.bz2
Patch0:		phpldapadmin-default-config.patch.bz2
License:	GPL
URL:		http://phpldapadmin.sourceforge.net/
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	apache
Requires:	mod_php
Requires:	mod_ssl
Requires:	php-common
Requires:	php-ldap
Requires:	php-xml
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
phpLDAPAdmin is a web-based LDAP administration tool, written in
PHP. You can browse your LDAP tree, create, delete, edit, and copy
entries, perform searches, and view your server's schema. You can
even copy objects between two LDAP servers and recursively delete
or copy entire trees. All this from the comfort of your web
browser. 

On the server it is installed on, this should be accessible at
https://localhost/%(basename %webadminroot)/%{name}

%prep

%setup -q -n %{rname}
%patch0 -p0

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{webadminroot}/%{name}/templates/creation
install -d %{buildroot}%{webadminroot}/%{name}/images
install -d %{buildroot}%{webadminroot}/%{name}/lang

install -m0644 *.php %{buildroot}%{webadminroot}/%{name}/
install -m0644 style.css %{buildroot}%{webadminroot}/%{name}/
install -m0644 ldap_error_codes.txt %{buildroot}%{webadminroot}/%{name}/
install -m0644 entry_chooser.js %{buildroot}%{webadminroot}/%{name}/
install -m0644 templates/creation/*.php %{buildroot}%{webadminroot}/%{name}/templates/creation/
install -m0644 images/*.png %{buildroot}%{webadminroot}/%{name}/images/
install -m0644 lang/*.php %{buildroot}%{webadminroot}/%{name}/lang

install -m0644 config.php.example %{buildroot}%{webadminroot}/%{name}/config.php

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL
# god damn rpm that changes every week..., when did this stop working???
#%exclude %{webadminroot}/%{name}/config.php
%{webadminroot}/%{name}
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/config.php

%changelog
* Tue Sep 30 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.1-2mdk
- Add language files (so navigation actually works ...)

* Sat Sep 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.1-1mdk
- 0.9.1
- fix P0

* Thu Aug 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0-3mdk
- applied fixes by Buchan Milne:
  - Better default config (P0)
  - Require php-xml, mod_ssl, don't require apache2 (apache) or openldap-servers

* Thu Aug 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0-2mdk
- rpm sux

* Thu Aug 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0-1mdk
- initial cooker contrib

